Bug 432661 - intermittent message loss on connection close
intermittent message loss on connection close
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Rafael H. Schloming
Kim van der Riet
Depends On:
  Show dependency treegraph
Reported: 2008-02-13 12:27 EST by Rafael H. Schloming
Modified: 2014-12-01 18:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-02 11:05:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rafael H. Schloming 2008-02-13 12:27:01 EST
Description of problem:

Messages may be lost on connection close.

How reproducible:

Intermittent, frequency depends on details of application and execution environment.

Steps to Reproduce:

1. Publish a small message and close the connection immediately.
2. Verify that the message is queued.

Because the problem is intermittent, this must be done in a loop with enough
iterations to cause the problem to appear. The exact number of iterations
required depends on the details of the execution environment. One thousand
iterations is probably a good place to start.
Actual results:

Occasionally the connection will close before the message has been sent to the

Expected results:

The message should never be lost and always be enqueued.
Comment 1 Mike Bonnet 2008-02-29 11:43:20 EST
qpid-java-common-0.2-9 and qpid-java-client-0.2-9 have been pushed to the staging repo for testing

Note You need to log in before you can comment on or make changes to this bug.